Naar hoofdinhoud
weighttypes

Add a new weight type to the database.

POST
/weighttype
X-API-Keystringheaderverplicht

Body

application/json

WeightType object.

codestring

The unique identifier code of this weight type, which is generated from the name when left empty.

created_atstring

The date and time this weight type was created.

deleted_atstring

The date and time this weight type was archived, empty when it is not archived.

descriptionstring

The description of this weight type.

idintegerverplicht

The ID of this weight type.

namestringverplicht

The name of this weight type.

sort_orderinteger

The sort order of this weight type.

specific_densitystring

The specific density of this weight type, used to calculate the cubic meters (m³) of a weighing from its weight. Returned as a numeric string, e.g. "12.50".

unit_custom_namestring

The name of the unit of this weight type when no existing unit is selected.

unit_idinteger

The ID of the unit of this weight type, or 0 when a custom unit name is used.

updated_atstring

The date and time this weight type was last updated.

Antwoord

application/json

Successful operation.

dataobject

The result message and the result data.

statusstring

The result status, success.